
From: Stephen Rothwell <sfr@canb.auug.org.au>

include/asm-ppc64/iSeries/LparData.h just included a whole lot of other files
to declare variables that would be better declared in those other files.  So,
remove it.  This will reduce that number of things needed to be included in
most cases to access the relevant variables.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                                      |   48 --------------------------
 arch/ppc64/kernel/HvLpEvent.c                 |    2 -
 arch/ppc64/kernel/ItLpQueue.c                 |    1 
 arch/ppc64/kernel/iSeries_VpdInfo.c           |    1 
 arch/ppc64/kernel/iSeries_pci.c               |    1 
 arch/ppc64/kernel/iSeries_proc.c              |    2 -
 arch/ppc64/kernel/iSeries_setup.c             |    5 ++
 arch/ppc64/kernel/iSeries_smp.c               |    1 
 arch/ppc64/kernel/irq.c                       |    2 -
 arch/ppc64/kernel/lparcfg.c                   |    2 -
 arch/ppc64/kernel/ras.c                       |    1 
 arch/ppc64/kernel/rtc.c                       |    1 
 arch/ppc64/kernel/setup.c                     |    3 +
 arch/ppc64/kernel/viopath.c                   |    2 -
 include/asm-ppc64/iSeries/HvLpConfig.h        |    1 
 include/asm-ppc64/iSeries/HvReleaseData.h     |    2 +
 include/asm-ppc64/iSeries/IoHriMainStore.h    |    2 +
 include/asm-ppc64/iSeries/IoHriProcessorVpd.h |    2 +
 include/asm-ppc64/iSeries/ItExtVpdPanel.h     |    2 +
 include/asm-ppc64/iSeries/ItIplParmsReal.h    |    2 +
 include/asm-ppc64/iSeries/ItLpNaca.h          |    4 ++
 include/asm-ppc64/iSeries/ItVpdAreas.h        |    2 +
 include/asm-ppc64/iSeries/LparMap.h           |    2 +
 23 files changed, 29 insertions(+), 62 deletions(-)

diff -puN arch/ppc64/kernel/HvLpEvent.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/HvLpEvent.c
--- 25/arch/ppc64/kernel/HvLpEvent.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/HvLpEvent.c	2005-06-03 02:15:56.000000000 -0700
@@ -12,7 +12,7 @@
 #include <asm/system.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/iSeries/HvCallEvent.h>
-#include <asm/iSeries/LparData.h>
+#include <asm/iSeries/ItLpNaca.h>
 
 /* Array of LpEvent handler functions */
 LpEventHandler lpEventHandler[HvLpEvent_Type_NumTypes];
diff -puN arch/ppc64/kernel/irq.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/irq.c	2005-06-03 02:15:56.000000000 -0700
@@ -52,7 +52,7 @@
 #include <asm/cache.h>
 #include <asm/prom.h>
 #include <asm/ptrace.h>
-#include <asm/iSeries/LparData.h>
+#include <asm/iSeries/ItLpQueue.h>
 #include <asm/machdep.h>
 #include <asm/paca.h>
 
diff -puN arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/iSeries_pci.c
--- 25/arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_pci.c	2005-06-03 02:15:56.000000000 -0700
@@ -40,7 +40,6 @@
 #include <asm/iSeries/HvCallPci.h>
 #include <asm/iSeries/HvCallSm.h>
 #include <asm/iSeries/HvCallXm.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/iSeries/iSeries_irq.h>
 #include <asm/iSeries/iSeries_pci.h>
 #include <asm/iSeries/mf.h>
diff -puN arch/ppc64/kernel/iSeries_proc.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/iSeries_proc.c
--- 25/arch/ppc64/kernel/iSeries_proc.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_proc.c	2005-06-03 02:15:56.000000000 -0700
@@ -28,7 +28,7 @@
 #include <asm/iSeries/ItLpQueue.h>
 #include <asm/iSeries/HvCallXm.h>
 #include <asm/iSeries/IoHriMainStore.h>
-#include <asm/iSeries/LparData.h>
+#include <asm/iSeries/IoHriProcessorVpd.h>
 
 static int __init iseries_proc_create(void)
 {
diff -puN arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/iSeries_setup.c
--- 25/arch/ppc64/kernel/iSeries_setup.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_setup.c	2005-06-03 02:15:56.000000000 -0700
@@ -47,7 +47,7 @@
 #include <asm/paca.h>
 #include <asm/cache.h>
 #include <asm/sections.h>
-#include <asm/iSeries/LparData.h>
+#include <asm/abs_addr.h>
 #include <asm/iSeries/HvCallHpt.h>
 #include <asm/iSeries/HvLpConfig.h>
 #include <asm/iSeries/HvCallEvent.h>
@@ -58,6 +58,9 @@
 #include <asm/iSeries/mf.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/iSeries/iSeries_irq.h>
+#include <asm/iSeries/IoHriProcessorVpd.h>
+#include <asm/iSeries/ItVpdAreas.h>
+#include <asm/iSeries/LparMap.h>
 
 extern void hvlog(char *fmt, ...);
 
diff -puN arch/ppc64/kernel/iSeries_smp.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/iSeries_smp.c
--- 25/arch/ppc64/kernel/iSeries_smp.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_smp.c	2005-06-03 02:15:56.000000000 -0700
@@ -38,7 +38,6 @@
 #include <asm/io.h>
 #include <asm/smp.h>
 #include <asm/paca.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/iSeries/HvCall.h>
 #include <asm/iSeries/HvCallCfg.h>
 #include <asm/time.h>
diff -puN arch/ppc64/kernel/iSeries_VpdInfo.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/iSeries_VpdInfo.c
--- 25/arch/ppc64/kernel/iSeries_VpdInfo.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_VpdInfo.c	2005-06-03 02:15:56.000000000 -0700
@@ -35,7 +35,6 @@
 #include <asm/iSeries/HvCallPci.h>
 #include <asm/iSeries/HvTypes.h>
 #include <asm/iSeries/mf.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/iSeries/iSeries_pci.h>
 #include "pci.h"
 
diff -puN arch/ppc64/kernel/ItLpQueue.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/ItLpQueue.c
--- 25/arch/ppc64/kernel/ItLpQueue.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/ItLpQueue.c	2005-06-03 02:15:56.000000000 -0700
@@ -16,7 +16,6 @@
 #include <asm/iSeries/ItLpQueue.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/iSeries/HvCallEvent.h>
-#include <asm/iSeries/LparData.h>
 
 static __inline__ int set_inUse( struct ItLpQueue * lpQueue )
 {
diff -puN arch/ppc64/kernel/lparcfg.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/lparcfg.c
--- 25/arch/ppc64/kernel/lparcfg.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/lparcfg.c	2005-06-03 02:15:56.000000000 -0700
@@ -28,12 +28,12 @@
 #include <asm/uaccess.h>
 #include <asm/iSeries/HvLpConfig.h>
 #include <asm/lppaca.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/hvcall.h>
 #include <asm/cputable.h>
 #include <asm/rtas.h>
 #include <asm/system.h>
 #include <asm/time.h>
+#include <asm/iSeries/ItExtVpdPanel.h>
 
 #define MODULE_VERS "1.6"
 #define MODULE_NAME "lparcfg"
diff -puN arch/ppc64/kernel/ras.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/ras.c
--- 25/arch/ppc64/kernel/ras.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/ras.c	2005-06-03 02:15:56.000000000 -0700
@@ -47,7 +47,6 @@
 #include <asm/cache.h>
 #include <asm/prom.h>
 #include <asm/ptrace.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/machdep.h>
 #include <asm/rtas.h>
 #include <asm/ppcdebug.h>
diff -puN arch/ppc64/kernel/rtc.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/rtc.c
--- 25/arch/ppc64/kernel/rtc.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/rtc.c	2005-06-03 02:15:56.000000000 -0700
@@ -42,7 +42,6 @@
 #include <asm/time.h>
 #include <asm/rtas.h>
 
-#include <asm/iSeries/LparData.h>
 #include <asm/iSeries/mf.h>
 #include <asm/machdep.h>
 #include <asm/iSeries/ItSpCommArea.h>
diff -puN arch/ppc64/kernel/setup.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/setup.c
--- 25/arch/ppc64/kernel/setup.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/setup.c	2005-06-03 02:15:56.000000000 -0700
@@ -41,7 +41,6 @@
 #include <asm/smp.h>
 #include <asm/elf.h>
 #include <asm/machdep.h>
-#include <asm/iSeries/LparData.h>
 #include <asm/paca.h>
 #include <asm/ppcdebug.h>
 #include <asm/time.h>
@@ -57,6 +56,8 @@
 #include <asm/cache.h>
 #include <asm/page.h>
 #include <asm/mmu.h>
+#include <asm/lmb.h>
+#include <asm/iSeries/ItLpNaca.h>
 
 #ifdef DEBUG
 #define DBG(fmt...) udbg_printf(fmt)
diff -puN arch/ppc64/kernel/viopath.c~ppc64-iseries-remove-lpardatah arch/ppc64/kernel/viopath.c
--- 25/arch/ppc64/kernel/viopath.c~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/viopath.c	2005-06-03 02:15:56.000000000 -0700
@@ -43,7 +43,7 @@
 #include <asm/system.h>
 #include <asm/uaccess.h>
 #include <asm/iSeries/HvTypes.h>
-#include <asm/iSeries/LparData.h>
+#include <asm/iSeries/ItExtVpdPanel.h>
 #include <asm/iSeries/HvLpEvent.h>
 #include <asm/iSeries/HvLpConfig.h>
 #include <asm/iSeries/HvCallCfg.h>
diff -puN include/asm-ppc64/iSeries/HvLpConfig.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/HvLpConfig.h
--- 25/include/asm-ppc64/iSeries/HvLpConfig.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvLpConfig.h	2005-06-03 02:15:56.000000000 -0700
@@ -27,7 +27,6 @@
 #include <asm/iSeries/HvCallCfg.h>
 #include <asm/iSeries/HvTypes.h>
 #include <asm/iSeries/ItLpNaca.h>
-#include <asm/iSeries/LparData.h>
 
 extern HvLpIndex HvLpConfig_getLpIndex_outline(void);
 
diff -puN include/asm-ppc64/iSeries/HvReleaseData.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/HvReleaseData.h
--- 25/include/asm-ppc64/iSeries/HvReleaseData.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/HvReleaseData.h	2005-06-03 02:15:56.000000000 -0700
@@ -58,4 +58,6 @@ struct HvReleaseData {
 	char	xRsvd3[20];	/* Reserved			x2C-x3F */
 };
 
+extern struct HvReleaseData	hvReleaseData;
+
 #endif /* _HVRELEASEDATA_H */
diff -puN include/asm-ppc64/iSeries/IoHriMainStore.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/IoHriMainStore.h
--- 25/include/asm-ppc64/iSeries/IoHriMainStore.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/IoHriMainStore.h	2005-06-03 02:15:56.000000000 -0700
@@ -161,4 +161,6 @@ struct IoHriMainStoreSegment5 {
 	u64	reserved3;
 };
 
+extern u64	xMsVpd[];
+
 #endif	/* _IOHRIMAINSTORE_H */
diff -puN include/asm-ppc64/iSeries/IoHriProcessorVpd.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/IoHriProcessorVpd.h
--- 25/include/asm-ppc64/iSeries/IoHriProcessorVpd.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/IoHriProcessorVpd.h	2005-06-03 02:15:56.000000000 -0700
@@ -81,4 +81,6 @@ struct IoHriProcessorVpd {
 	char	xProcSrc[72];		// CSP format SRC		xB8-xFF
 };
 
+extern struct IoHriProcessorVpd	xIoHriProcessorVpd[];
+
 #endif /* _IOHRIPROCESSORVPD_H */
diff -puN include/asm-ppc64/iSeries/ItExtVpdPanel.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/ItExtVpdPanel.h
--- 25/include/asm-ppc64/iSeries/ItExtVpdPanel.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/ItExtVpdPanel.h	2005-06-03 02:15:56.000000000 -0700
@@ -47,4 +47,6 @@ struct ItExtVpdPanel {
 	u8	xRsvd2[48];
 };
 
+extern struct ItExtVpdPanel	xItExtVpdPanel;
+
 #endif /* _ITEXTVPDPANEL_H */
diff -puN include/asm-ppc64/iSeries/ItIplParmsReal.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/ItIplParmsReal.h
--- 25/include/asm-ppc64/iSeries/ItIplParmsReal.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/ItIplParmsReal.h	2005-06-03 02:15:56.000000000 -0700
@@ -66,4 +66,6 @@ struct ItIplParmsReal {
 	u64	xRsvd13;		// Reserved			x38-x3F
 };
 
+extern struct ItIplParmsReal	xItIplParmsReal;
+
 #endif /* _ITIPLPARMSREAL_H */
diff -puN include/asm-ppc64/iSeries/ItLpNaca.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/ItLpNaca.h
--- 25/include/asm-ppc64/iSeries/ItLpNaca.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/ItLpNaca.h	2005-06-03 02:15:56.000000000 -0700
@@ -19,6 +19,8 @@
 #ifndef _ITLPNACA_H
 #define _ITLPNACA_H
 
+#include <linux/types.h>
+
 /*
  *	This control block contains the data that is shared between the
  *	hypervisor (PLIC) and the OS.
@@ -73,4 +75,6 @@ struct ItLpNaca {
 	u64	xInterruptHdlr[32];	// Interrupt handlers		300-x3FF
 };
 
+extern struct ItLpNaca		itLpNaca;
+
 #endif /* _ITLPNACA_H */
diff -puN include/asm-ppc64/iSeries/ItVpdAreas.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/ItVpdAreas.h
--- 25/include/asm-ppc64/iSeries/ItVpdAreas.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/ItVpdAreas.h	2005-06-03 02:15:56.000000000 -0700
@@ -90,4 +90,6 @@ struct ItVpdAreas {
 	void	*xSlicVpdAdrs[ItVpdMaxEntries];// Array of VPD buffers	130-1EF
 };
 
+extern struct ItVpdAreas	itVpdAreas;
+
 #endif /* _ITVPDAREAS_H */
diff -L include/asm-ppc64/iSeries/LparData.h -puN include/asm-ppc64/iSeries/LparData.h~ppc64-iseries-remove-lpardatah /dev/null
--- 25/include/asm-ppc64/iSeries/LparData.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,48 +0,0 @@
-/*
- * LparData.h
- * Copyright (C) 2001  Mike Corrigan IBM Corporation
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
- */
-
-#ifndef _LPARDATA_H
-#define _LPARDATA_H
-
-#include <asm/types.h>
-#include <asm/page.h>
-#include <asm/abs_addr.h>
-
-#include <asm/iSeries/ItLpNaca.h>
-#include <asm/iSeries/ItLpRegSave.h>
-#include <asm/iSeries/HvReleaseData.h>
-#include <asm/iSeries/LparMap.h>
-#include <asm/iSeries/ItVpdAreas.h>
-#include <asm/iSeries/ItIplParmsReal.h>
-#include <asm/iSeries/ItExtVpdPanel.h>
-#include <asm/iSeries/ItLpQueue.h>
-#include <asm/iSeries/IoHriProcessorVpd.h>
-
-extern struct LparMap		xLparMap;
-extern struct HvReleaseData	hvReleaseData;
-extern struct ItLpNaca		itLpNaca;
-extern struct ItIplParmsReal	xItIplParmsReal;
-extern struct ItExtVpdPanel	xItExtVpdPanel;
-extern struct IoHriProcessorVpd	xIoHriProcessorVpd[];
-extern struct ItLpQueue		xItLpQueue;
-extern struct ItVpdAreas	itVpdAreas;
-extern u64			xMsVpd[];
-extern struct msChunks		msChunks;
-
-#endif /* _LPARDATA_H */
diff -puN include/asm-ppc64/iSeries/LparMap.h~ppc64-iseries-remove-lpardatah include/asm-ppc64/iSeries/LparMap.h
--- 25/include/asm-ppc64/iSeries/LparMap.h~ppc64-iseries-remove-lpardatah	2005-06-03 02:15:56.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/LparMap.h	2005-06-03 02:15:56.000000000 -0700
@@ -64,4 +64,6 @@ struct LparMap {
 	u64	xVPN;		// Virtual Page Number (0x000C000000000000)
 };
 
+extern struct LparMap		xLparMap;
+
 #endif /* _LPARMAP_H */
_
